classification
Title: expose the ABI name as a config variable
Type: Stage: resolved
Components: Build Versions: Python 3.6
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: Nosy List: doko, ncoghlan, petr.viktorin
Priority: normal Keywords: patch

Created on 2016-06-03 22:37 by doko, last changed 2018-07-28 22:26 by doko. This issue is now closed.

Files
File name Uploaded Description Edit
abiname.diff doko, 2016-06-03 22:37 review
Messages (4)
msg267181 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2016-06-03 22:37
Some python extensions provide/rely on support libraries which are shipped in addition to the extension module, and which depend on the Python ABI (version and ABI flags). talloc is such an example, and it currently uses the SOABI as the symbol version for symbols exported in such a support library. In 3.5 and 3.6, the SOABI includes the architecture definition as well, so you end up with different symbol versions and library names across  architectures, which is not wanted. Therefore expose just the ABI in a new macro. Now choosen ABINAME, but that could be something different as well.
msg267339 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2016-06-04 22:53
maybe we don't need that. you already can do:

import sys
'%s-%d%d%s' % (sys.implementation.name, sys.version_info[0], sys.version_info[1], sys.abiflags)
'cpython-35m'
msg322575 - (view) Author: Petr Viktorin (petr.viktorin) * (Python committer) Date: 2018-07-28 16:15
If Debian's talloc is fine without this, maybe we can close the issue?
msg322594 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2018-07-28 22:26
ok, not working on that currently
History
Date User Action Args
2018-07-28 22:26:09dokosetstatus: open -> closed
resolution: rejected
messages: + msg322594

stage: resolved
2018-07-28 16:15:46petr.viktorinsetmessages: + msg322575
2016-06-21 12:43:11petr.viktorinsetnosy: + petr.viktorin
2016-06-04 22:53:01dokosetmessages: + msg267339
2016-06-03 22:37:22dokocreate